rte_pipeline_port_in_params(3)

NAME
rte_pipeline_port_in_params

SYNOPSIS

#include <rte_pipeline.h>

  Data Fields

struct rte_port_in_ops * ops
void * arg_create
rte_pipeline_port_in_action_handler f_action
void * arg_ah
uint32_t burst_size

Detailed Description

Parameters for pipeline input port creation

Definition at line 562 of file rte_pipeline.h.

Field Documentation

  struct rte_port_in_ops* ops
Input port operations (specific to each table type)

Definition at line 564 of file rte_pipeline.h.

  void* arg_create
Opaque parameter to be passed to create operation when invoked

Definition at line 566 of file rte_pipeline.h.

  rte_pipeline_port_in_action_handler f_action
Callback function to execute the user actions on input packets. Disabled if set to NULL.

Definition at line 570 of file rte_pipeline.h.

  void* arg_ah
Opaque parameter to be passed to the action handler when invoked

Definition at line 572 of file rte_pipeline.h.

  uint32_t burst_size
Recommended burst size for the RX operation(in number of pkts)

Definition at line 575 of file rte_pipeline.h.

Author

Generated automatically by Doxygen for DPDK from the source code.